Voiceflow bearer token
Update API tool
curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1/stable/api-tool/<toolID> \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"url": [
"<string>"
],
"name": "<string>",
"body": "<APIToolRawBody>",
"headers": [
{
"key": "<string>",
"value": "<Markup>"
}
],
"settings": {
"timeoutMs": 0
},
"httpMethod": "get",
"description": "<string>",
"queryParameters": [
{
"key": "<string>",
"value": "<Markup>"
}
]
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/api-tool/<toolID>?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"url": [
"<string>"
],
"name": "<string>",
"body": "<APIToolRawBody>",
"headers": [
{
"key": "<string>",
"value": "<Markup>"
}
],
"settings": {
"timeoutMs": 0
},
"httpMethod": "get",
"description": "<string>",
"queryParameters": [
{
"key": "<string>",
"value": "<Markup>"
}
]
}),
});
const data = await response.json();import requests
response = requests.patch(
'https://realtime-api.voiceflow.com/v1/stable/api-tool/<toolID>?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"url": [
"<string>"
],
"name": "<string>",
"body": "<APIToolRawBody>",
"headers": [
{
"key": "<string>",
"value": "<Markup>"
}
],
"settings": {
"timeoutMs": 0
},
"httpMethod": "get",
"description": "<string>",
"queryParameters": [
{
"key": "<string>",
"value": "<Markup>"
}
]
},
)
data = response.json()vf api-tool update --tool-id <toolID> --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"message": "<string>"
}Changes an existing API tool in place. The response carries only a confirmation message, so refetch the API tool to read its new values.
PATCH
/v1/stable/api-tool/{toolID}
Update API tool
curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1/stable/api-tool/<toolID> \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"url": [
"<string>"
],
"name": "<string>",
"body": "<APIToolRawBody>",
"headers": [
{
"key": "<string>",
"value": "<Markup>"
}
],
"settings": {
"timeoutMs": 0
},
"httpMethod": "get",
"description": "<string>",
"queryParameters": [
{
"key": "<string>",
"value": "<Markup>"
}
]
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/api-tool/<toolID>?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"url": [
"<string>"
],
"name": "<string>",
"body": "<APIToolRawBody>",
"headers": [
{
"key": "<string>",
"value": "<Markup>"
}
],
"settings": {
"timeoutMs": 0
},
"httpMethod": "get",
"description": "<string>",
"queryParameters": [
{
"key": "<string>",
"value": "<Markup>"
}
]
}),
});
const data = await response.json();import requests
response = requests.patch(
'https://realtime-api.voiceflow.com/v1/stable/api-tool/<toolID>?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"url": [
"<string>"
],
"name": "<string>",
"body": "<APIToolRawBody>",
"headers": [
{
"key": "<string>",
"value": "<Markup>"
}
],
"settings": {
"timeoutMs": 0
},
"httpMethod": "get",
"description": "<string>",
"queryParameters": [
{
"key": "<string>",
"value": "<Markup>"
}
]
},
)
data = response.json()vf api-tool update --tool-id <toolID> --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"message": "<string>"
}Authorizations
Query Parameters
Body
Was this page helpful?
Thanks for your feedback.